%define LinuxconfVersion 1.25

Summary:	Manage an ADSL/PPPoE internet connection
Name:		pppoe-linuxconf
Version:	1.2_%{LinuxconfVersion}
Release:	3mdk
URL:		http://coruscant.netrevolution.com/AES/linuxconf

Source:		pppoe-%{version}.tar.bz2
Source1:	pppoe.xpm
Patch0:		%{name}-1.2_1.25-gcc-3.3.patch.bz2
License:	GPL
Group:		System/Configuration/Other
BuildRoot:	%_tmppath/%name-%version-%release-root 
Requires:	linuxconf LINUXCONFAPIREV16, rp-pppoe
BuildRequires:	linuxconf, linuxconf-devel
Packager:	Jean-Michel Dault <jmdault@mandrakesoft.com>

%description
This module lets you manage an ADSL link using the PPP over Ethernet
protocol (PPPoE). It has been tested with the Canadian Sympatico HSE (High 
Speed Edition) service.

This package is only a configuration module, you will require the package
rp-pppoe to make it work.

%prep
%setup -q -n pppoe
%patch0 -p1 -b .gcc3.3

%build
perl -pi -e "s/LINUXCONF-VERSION/%{LinuxconfVersion}/g;" Makefile
%make CFLAGS="%optflags"

%install
rm -fr %buildroot

install -d %buildroot/%_libdir/linuxconf/

make install LIB=%{_lib}

install -d %buildroot/%_libdir/linuxconf/descriptions/fr/
install -d %buildroot/%_libdir/linuxconf/descriptions/eng/
cp -dpR descriptions %buildroot/%_libdir/linuxconf/

install -d %buildroot/%_sysconfdir/ppp/
install -m 755 pppoe.*nnect %buildroot/%_sysconfdir/ppp/

install -d %buildroot/%_libdir/linuxconf/redhat/
install -m 755 *.daemons %buildroot/%_libdir/linuxconf/redhat/
install -m 644  %SOURCE1 %buildroot/%_libdir/linuxconf/images

%post
linuxconf --setmod pppoe

%postun
if [ "$1" = "0" ] ; then
linuxconf --unsetmod pppoe
fi

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%dir %_sysconfdir/ppp/
%config(noreplace) %_sysconfdir/ppp/*
#
#
#
%dir %_libdir/linuxconf/
%dir %_libdir/linuxconf/descriptions/
%dir %_libdir/linuxconf/descriptions/eng/
%_libdir/linuxconf/descriptions/eng/pppoe
#
%dir %_libdir/linuxconf/descriptions/fr/
%_libdir/linuxconf/descriptions/fr/pppoe
#
#
%dir %_libdir/linuxconf/help.eng/
%_libdir/linuxconf/help.eng/*.eng
#
%dir %_libdir/linuxconf/help.eng/pppoe/
%_libdir/linuxconf/help.eng/pppoe/*.help
%_libdir/linuxconf/help.eng/pppoe/*.html
#
#
%dir %_libdir/linuxconf/help.fr/
%_libdir/linuxconf/help.fr/*.fr
#
%dir %_libdir/linuxconf/help.fr/pppoe/
%_libdir/linuxconf/help.fr/pppoe/*.help
%_libdir/linuxconf/help.fr/pppoe/*.html
#
#
%dir %_libdir/linuxconf/images/
%_libdir/linuxconf/images/*.xpm
#
#
%dir %_libdir/linuxconf/modules/
%_libdir/linuxconf/modules/*
#
#
%dir %_libdir/linuxconf/redhat/
%_libdir/linuxconf/redhat/*


%changelog
* Fri Jul 25 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.2_1.25-3mdk
- rebuild
- fix gcc-3.3 build (P0)
- fix path to linuxconf-devel

* Tue Aug 11 2001 David BAUDENS <baudens@mandrakesoft.com> 1.2_1.25-2mdk
- Clean after build
- Use macros
- Remove french Summary and Description
- Requires: rp-pppoe
- Make spec Mandrake compliant...

* Sun Jul 08 2001 Jesse Kuang <kjx@mandrakesoft.com> 1.2_1.25-1mdk
- rebuild for linuxconf 1.25r7 (no changes to code)
- rebuild on ke.mandrakesoft.com

* Wed Sep 27 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2_1.21r1-1mdk
- rebuild with Linuxconf 1.21r1 (no changes to code)
- VERY IMPORTANT TO USE LATEST VERSION otherwise it doesn't work.

* Tue May  9 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2_1.18.0-1mdk
- rebuild with Linuxconf 1.18 (no changes to code)
- VERY IMPORTANT TO USE LATEST VERSION otherwise it doesn't work.

* Fri Apr  7 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.2_1.17.9-1mdk
- new group
- new version for Linuxconf 1.17r9, new numbering scheme

* Tue Mar  1 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1-3mdk
- fixed typo in french helpfile too

* Tue Mar  1 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1-2mdk
- fixed typo in helpfile

* Tue Mar  1 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.1-1mdk
- version 1.1 now works with rp-pppoe 1.6

* Tue Mar  1 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0-7mdk
- rebuild for Linuxconf 1.17r4

* Sun Feb 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0-6mdk
- modified connect/deconnect scripts

* Sun Feb 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0-5mdk
- added french description

* Sun Feb 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0-4mdk
- removed require pppoe

* Sun Feb 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0-3mdk
- changed name to pppoe-linuxconf

* Sun Feb 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0-2mdk
- Fixed typo in french translation
- added xpm image

* Sun Feb 20 2000 Jean-Michel Dault <jmdault@mandrakesoft.com> 1.0-1mdk
- First Mandrake release
